
Foreman - Bug #8799

On host edit page, overriding inherited parameters removes override button. 

12/28/2014 10:12 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2927

  

Description

Removing the overriden value does not bring it back.

Puppetclass parameters work correctly.

Related issues:

Related to Foreman - Tracker #10467: Parameter UI improvements in host and ho... New 05/11/2015

Blocked by Foreman - Refactor #11458: Allow overriding parameters inline in h... Closed 08/24/2015

Associated revisions

Revision 94344e68 - 11/30/2015 01:41 AM - Tomer Brisker

Fixes #8799 - Show override button when removing overriden global param

Previously, when removing an override for an existing parameter the

override button was not displayed again until the page was reloaded.

Also saved call to `mark_params_override()` when overriding a single

parameter since we already know which row needs to be marked as

overriden, and used some css to simplify `mark_params_override()`.

Note this code will be rendered useless once global parameters are

turned into lookup keys as they will use the same inline-editing

available for lookup keys, however until that change is made this will

improve usability of global parmeter overrides.

History

#1 - 08/30/2015 04:58 AM - Tomer Brisker

- Related to Refactor #11458: Allow overriding parameters inline in host & hostgroup forms added

#2 - 08/30/2015 04:58 AM - Tomer Brisker

- Related to Tracker #10467: Parameter UI improvements in host and hostgroup forms added

#3 - 09/02/2015 08:10 AM - Tomer Brisker

- Related to deleted (Refactor #11458: Allow overriding parameters inline in host & hostgroup forms)

#4 - 09/02/2015 08:10 AM - Tomer Brisker

- Blocked by Refactor #11458: Allow overriding parameters inline in host & hostgroup forms added

#5 - 11/22/2015 05:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/2927 added

#6 - 11/30/2015 02:02 AM - Anonymous
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 94344e6837982b4e4916a7613ad994ba7336229f.

#7 - 11/30/2015 03:08 AM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release set to 71
